import api from "src/api";

export const getStudentResponsible = async (studentId) => {
  const { data } = await api.get(`/franchisee/students/${studentId}/responsible`);
  return data.payload;
};

export const createStudentResponsible = async (payload) => {
  const { data } = await api.post("/franchisee/students/responsibles", payload);
  return data.payload;
};

export const updateStudentResponsible = async (id, payload) => {
  const { data } = await api.put(`/franchisee/students/responsibles/${id}`, payload);
  return data.payload;
};

export const deleteStudentResponsible = async (id) => {
  const { data } = await api.delete(`/franchisee/students/responsibles/${id}`);
  return data.payload;
};
